Subject: Re: Anything "time" critical on www.postgresql.org VM?

From: "Dave Page" <[email-masked]>
Date: Mon, 27 Sep 2004 08:53:57 +0100

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Marc G. Fournier
> Sent: 26 September 2004 20:30
> To: [email-masked]
> Subject: [pgsql-www] Anything "time" critical on 
> www.postgresql.org VM?
> 
> 
> I'd like to setup hot failover for that VM, so that if the 
> server it is running on goes down, it will auto-come back up 
> on a second server.  So far, the finest I can get the 
> replication granularity is 15 minutes, so there is the 
> potential of 15 minutes worth of 'data' to be lost on a crash ...
> 
> As I believe that most (if not all?) of the stuff on that VM 
> is pretty static as far as files, and there is no email over 
> there, I can't think of any reason *not* to do this for that 
> VM ... but, I wanted to check here to see if anyone knows of 
> a reason that the potential lose of '15 minutes' 
> worth of data is a bad thing?
> 
> If not, I'll get that setup ...
> 
> I don't believe that any of the other VMs can have this setup 
> yet, until I can get the 'gap' reduced between replicas, 
> since they are all dealing with CVS in some form or another, 
> or email ...

There's nothing time critical on there as far as the 'official' services
go. Dunno if any of the users have any other tasks running that might
be, but I doubt it.

I say go for it!

Regards, Dave